Bug 198632 - Make login processes initialise session keyring
Make login processes initialise session keyring
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rsh (Show other bugs)
6
All Linux
high Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks: 198623
  Show dependency treegraph
 
Reported: 2006-07-12 09:26 EDT by David Howells
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 06:24:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add keyinit instruction to PAM script (3.27 KB, patch)
2006-07-13 10:01 EDT, David Howells
no flags Details | Diff

  None (edit)
Description David Howells 2006-07-12 09:26:36 EDT
+++ This bug was initially created as a clone of Bug #198623 +++

This package contains the "rsh", "rlogin" and "rexec" services for which the 
PAM scripts need to be modified.

WHAT NEEDS TO BE DONE
=====================
The PAM scripts for the login programs need to be altered to forcibly create a 
new session keyring when a login event occurs.

These simply require the following line adding to their PAM scripts:

	session	    optional    pam_keyinit.so    force revoke

This forces them to create a new session keyring during login, replacing the
one inherited from their parent, and causes the session keyring so created to
be revoked when the login process exits.

Ideally, this should be "required" not "optional", but it still has to work if 
the pam_keyinit.so library is absent.

The authlogin program needs modifying to add:

	session	    optional    pam_keyinit.so    revoke

To the default session (system-auth).  This just creates a new session keyring 
if one doesn't yet exist for this process.

The "su" program needs to split its "su - [user]" mode PAM script from its "su 
[user]" PAM script, so that the former can forcibly create a keyring whilst 
the latter doesn't.
Comment 1 David Howells 2006-07-13 10:01:38 EDT
Created attachment 132372 [details]
Add keyinit instruction to PAM script

This patch modifies the devel/ directory to add keyinit instructions to the PAM
scripts for rsh, rlogin and rexec.

Note You need to log in before you can comment on or make changes to this bug.